package com.shcd.boat.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 类名:@Name - ObjCargoDeclareVo
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/2/19 15:29
 */
@Data
public class ObjCargoDeclareVo {
    /**
     * 申报编号
     */
    private String declareNo;

    private String  realLicenseCode;

    /**
     * 经营单位代码   sys_enterprise
     */
    private String businessUnitCode;
    private String certNumber;

    /**
     * 经营单位名称--where
     */
    private String businessUnitName;
    /**
     * 船舶名称--where
     */
    private String shipName;


    private String shipPhone;


    /**
     * 九位码
     */
    private String mmsi;

    /**
     * 船舶唯一码
     */
    private String shipRegNo ;

    /**
     * 开工时间
     */
    private String punishmentNo;

    /**
     * 开工时间
     */
    @JsonFormat(pattern="yyyy-MM-dd")
    private String startWorkTime;

    /**
     * 开工时间
     */
    private String startWorkTimeStart;
    /**
     * 开工时间
     */
    private String startWorkTimeEnd;
    /**
     * 完工时间
     */
    private String endWorkTime;

    private Date endWorkTimeDate;

    private String endWorkTimeStart;
    private String endWorkTimeEnd;
    /**
     * 船舶代码
     */
    private String ship;

    /**
     * 泊位编码
     */
    private String berthCode;
    private String berthName;
    private String berthId;
    /**
     * 进出港
     */
    private String inOutPort;

    /**
     * 港口代码 - 不一定需要，因为berth可以得到dock，从而可以得到port
     */
    private String portCode;

    /**
     * 起运港
     */
    private String startPortName;

    /**
     * 目的港
     */
    private String endPortName;
    /**
     * 中转来源港港口代码
     */
    private String transferPortCode;

    /**
     * 货物代码 --where
     */
    private String cargoCode;
    /**
     * 是否为渣土货物申报
     */
    private Integer isMuckCargo;

    /**
     * 货物名称
     */
    private String cargoName;
    /**
     * 货物种类Code
     */
    private String cargoTypeCode;


    /**
     * 货物种类Code
     */
    private String cargoTypeSummaryCode;
    /**
     * 货物大类名称
     */
    private String cargoTypeSummaryName;

    /**
     * 货物种类名称
     */
    private String cargoTypeName;
    /**
     * 包装代码 - 从Cargo中可以找到对应的PackCode，该字段似乎可以删除
     */
    private String packCode;
//    @ApiModelProperty("包装名称")
//    @Excel(name = "包装名称")
    private String packName;
    /**
     * 进出港方式0：水路1：铁路 2：公路 3：管道 4：其他 用于交统港12表
     */
    @JSONField(format = "0:水路,1:铁路,2:公路,3:管道,4:其他")
    private String inOutPortMode;

    /**
     * 操作方式 0:船？船，1:船岸，2:内贸供水，3:外贸供水，4:内贸供油，5:外贸供油
     */
    @JSONField(format = "0:船？船,1:船岸,2:船岸,3:外贸供水,4:内贸供油,5:外贸供油")
    private String operationMode;

    /**
     * 申报吨
     */
    private Float declareTon;

    /**
     * 实际作业吨
     */
    private Float realTon;

    /**
     * 申报人  BUSINESS_USER
     */
    private String declarer;

    /**
     * 申报时间
     */
    private String declareDate;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    /**
     * 申报标志
     */
    private String declareFlag;

    /**
     * 备注
     */
    private String remark;

    /**
     * 内外贸
     */
    private String feeType;

    /**
     * 同步字段
     */
    private String includeDangerCargo;

    /**
     * 同步字段
     */
    private String checkShip;

    /**
     * 同步字段 船舶国籍
     */
    private String shipCountry;

    /**
     * 同步字段
     */
    private String isDeclared;

    /**
     * 同步字段
     */
    private Date uploadTime;

    /**
     * 是否修改过
     */
    private Integer isUpdate;

    /**
     * 吞吐量
     */
    private BigDecimal throughput;

    /**
     * 艘次
     */
    private Integer Ships;
    /**
     * 数据来源  0，自建 1，导入 2，同步
     */
    @JSONField(format = "0:自建,1:导入,2:同步")
    private Integer sourceType;

    private Date createTime;
    private Date updateTime;
    private Integer deleteFlag;
    private String createUser;
    private String updateUser;

    private String column1;

    private String column2;

    private String column3;

    private String column4;

    private String column5;

    private String column6;

    /**
     * 完成状态：0是未完工，1是已完工
     */
    @JSONField(format = "0:未完工,1:已完工")
    private Integer isFinish;
    /**
     * 完工提交时间
     */
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date finishSubTime;
//    @ApiModelProperty("完工提交时间字符")
    private String finishSubTimeString;

//    @ApiModelProperty("关账状态：0是未关账，1是已关账，2灰帐，3部分灰帐")
    @JSONField(format = "0:未关账,1:已关账,2:灰帐,3:部分灰帐")
    private Integer accountState;

//    @ApiModelProperty("是否为部分灰帐：0否，1是")
    private String isCloseState;

    /**
     * 上次关账时间(查询中只有未关账使用)
     */
    private String beforeAccountDate;
    /**
     * 关账时间
     */
    private String accountDate;

    private String accountId;
    /**
     * 最近关账时间 (查询中只有关账和灰账的使用)
     */
    private String closeAccountDate;
    /**
     * 上次关账时间(查询中只有关账和灰账的使用)
     */
    private String beforeCloseAccountDate;
    /**
     * 船舶载重
     */
    private Float shipLoad;

    /**
     * 砂来源港口
     */
    private String sandSource;

//    /**
//     * 部分灰帐企业
//     */
//    private Set<String> greyUnits;
//    /**
//     * 部分关账企业
//     */
//    private Set<String> closeUnits;
    /**
     * 砂去向
     */
    @JSONField(format = "0:送搅拌站,1:送工地,2:销售")
    private Integer sandSourceWhere;


    /**
     * 是否危险品
     */
    private String isRisk;

    /**
     * 危货申报单号
     */
    @JSONField(format = "危货申报单号【查询条件】")
    private String dangerDeclareCode;


    /**
     * 货物大类名称
     */
    private String cargoCategory;

    private String closeStart;

    private String closeEnd;
}
