package com.shcd.boat.service.impl;

import com.alibaba.fastjson2.JSON;
import com.shcd.boat.config.RedisUtilTemplate;
import com.shcd.boat.entity.BoatInfoEntity;
import com.shcd.boat.service.BoatRedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;
import org.springframework.util.ObjectUtils;

import java.util.Collection;

/**
 * 类名:@Name - BoatRedisServiceImpl
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/1/8 16:21
 * 作者:@Created by zrj
 */
@Service
public class BoatRedisServiceImpl implements BoatRedisService {


    @Autowired
    private RedisTemplate<String, String> redisTemplate;

    @Override
    public boolean saveBoatInfo(BoatInfoEntity dto) {
        String id = dto.getId();
        try {
            redisTemplate.opsForValue().set(id, JSON.toJSONString(dto));
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    @Override
    public BoatInfoEntity getBoatInfo(String id) {
        return JSON.parseObject(redisTemplate.opsForValue().get(id), BoatInfoEntity.class);
    }

    @Override
    public boolean removeBoatInfo(String id) {
        return redisTemplate.delete(id);
    }
}
