package com.shcd.boat.task;

import com.shanghaigeography.Util.DateUtils;
import com.shcd.boat.service.ShipSealOffService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;

@Component
@Slf4j
public class SchedualerTask {

    @Autowired
    private ShipSealOffService sealOffServicse;

    @Value("${taskSwitch}")
    private String taskSwitch;

    @Scheduled(fixedDelay = 1*60*1000)
    public void shortPollutantHandel(){
        if (!StringUtils.isEmpty(taskSwitch) && "open".equals(taskSwitch)){
            log.info("===【"+ DateUtils.getNowTimeString() +"开始执行封航船舶处理执行】===");
            try {
                sealOffServicse.analysisGISPointInData();
            } catch (InterruptedException e) {
                log.info("===  本次有接口被锁定，等待下次调用");
            }
            log.info("===【"+ DateUtils.getNowTimeString() +"本次执行封航船舶处理结束】===");
        }else {
            log.info("===【"+ DateUtils.getNowTimeString() +"封航船舶处理定时任务已结束】===");
        }

    }
}
