package com.shcd.boat.task;

import com.shanghaigeography.Util.DateUtils;
import com.shcd.boat.service.ShorePowerService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;

/**
 * 类名:@Name - ShorePowerTask
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/2/19 10:31
 */
@Slf4j
@Component
public class ShorePowerTask {
    @Autowired
    private ShorePowerService shorePowerService;

    @Value("${shore_taskSwitch}")
    private String shore_taskSwitch;

    @Scheduled(fixedDelay = 5 * 1000)
    public void shortPollutantHandel(){
        if (!StringUtils.isEmpty(shore_taskSwitch) && "open".equals(shore_taskSwitch)){
            log.info("===【"+ DateUtils.getNowTimeString() +"开始执行岸电船舶处理执行】===");
            try {
                shorePowerService.analysisData();
            } catch (Exception e) {
                log.info("===  本次有接口被锁定，等待下次调用");
            }
            log.info("===【"+ DateUtils.getNowTimeString() +"本次执行岸电船舶处理结束】===");
        }else {
            log.info("===【"+ DateUtils.getNowTimeString() +"岸电船舶处理定时任务已结束】===");
        }

    }
}
